GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/alpha-obsd-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "gdbcore.h"`
`#include "osabi.h"`
`#include "obsd-tdep.h"`
`#include "alpha-tdep.h"`
`#include "alpha-bsd-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static LONGEST | alphaobsd_sigtramp_offset (struct gdbarch *gdbarch, CORE_ADDR pc)
static int | alphaobsd_pc_in_sigtramp (struct gdbarch *gdbarch, CORE_ADDR pc, const char *name)
static CORE_ADDR | alphaobsd_sigcontext_addr (struct frame_info *this_frame)
static void | alphaobsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_alphaobsd_tdep (void)

## Variables
static const int | alphaobsd_page_size = 8192

## Function Documentation

## ◆ _initialize_alphaobsd_tdep()

void _initialize_alphaobsd_tdep | ( | void |  | ) |

Definition at line 130 of file alpha-obsd-tdep.c.

References alphaobsd_init_abi(), GDB_OSABI_OPENBSD, and gdbarch_register_osabi().

## ◆ alphaobsd_init_abi()

static void alphaobsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 98 of file alpha-obsd-tdep.c.

References alpha_dwarf2_init_abi(), alpha_mdebug_init_abi(), alpha_software_single_step(), alphanbsd_iterate_over_regset_sections(), alphaobsd_pc_in_sigtramp(), alphaobsd_sigcontext_addr(), alphaobsd_sigtramp_offset(), gdbarch_tdep::dynamic_sigtramp_offset, gdbarch_tdep(), gdbarch_tdep::jb_elt_size, gdbarch_tdep::jb_pc, obsd_skip_solib_resolver(), gdbarch_tdep::pc_in_sigtramp, set_gdbarch_iterate_over_regset_sections(), set_gdbarch_skip_solib_resolver(), set_gdbarch_software_single_step(), set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::sigcontext_addr, and svr4_lp64_fetch_link_map_offsets().

Referenced by _initialize_alphaobsd_tdep().

## ◆ alphaobsd_pc_in_sigtramp()

static int alphaobsd_pc_in_sigtramp | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | pc,
|  | const char * | name
| ) |  |
| static

Definition at line 49 of file alpha-obsd-tdep.c.

References ALPHA_INSN_SIZE, alpha_read_insn(), alphaobsd_page_size, name, and gdbarch_tdep::pc.

Referenced by alphaobsd_init_abi().

## ◆ alphaobsd_sigcontext_addr()

static CORE_ADDR alphaobsd_sigcontext_addr | ( | struct frame_info * | this_frame | ) |
| static

Definition at line 72 of file alpha-obsd-tdep.c.

References ALPHA_A0_REGNUM, ALPHA_INSN_SIZE, ALPHA_SP_REGNUM, alphaobsd_sigtramp_offset(), get_frame_arch(), get_frame_memory_unsigned(), get_frame_pc(), and get_frame_register_unsigned().

Referenced by alphaobsd_init_abi().

## ◆ alphaobsd_sigtramp_offset()

static LONGEST alphaobsd_sigtramp_offset | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | pc
| ) |  |
| static

Definition at line 43 of file alpha-obsd-tdep.c.

References alphaobsd_page_size, and gdbarch_tdep::pc.

Referenced by alphaobsd_init_abi(), and alphaobsd_sigcontext_addr().

## Variable Documentation

## ◆ alphaobsd_page_size

const int alphaobsd_page_size = 8192
| static

Definition at line 40 of file alpha-obsd-tdep.c.

Referenced by alphaobsd_pc_in_sigtramp(), and alphaobsd_sigtramp_offset().